[CDB] mChat

A place for Extension Authors to post and receive feedback on Extensions still in development. No Extensions within this forum should be used within a live environment!
Get Involved
Forum rules
READ: phpBB.com Board-Wide Rules and Regulations

IMPORTANT: Extensions Development rules

IMPORTANT FOR NEEDED EVENTS!!!
If you need an event for your extension please read this for the steps to follow to request the event(s)
sakm
Registered User
Posts: 616
Joined: Sun Jan 21, 2007 8:14 pm
Location: Hull, uk
Name: Stu
Contact:

Re: [RC] mChat

Post by sakm »

you will need to go through and delete all modules for every mod you have had installed only then will extensions start to work again
Tarantino
Registered User
Posts: 796
Joined: Sat Feb 18, 2012 1:51 pm
Contact:

Re: [RC] mChat

Post by Tarantino »

I got the same issue, spend a lot of hours for nothing. But then I decided to talk to a specialist to solve me this.
And now its all great again. But yeah what he did was to delete all things remained on database from 3.0 that will cause problems. And migrate all possible mods to extension. Like my user points. :D

Best regards
DougE
Registered User
Posts: 47
Joined: Tue Jul 12, 2011 5:38 pm
Location: Richmond,Ky
Contact:

Re: [RC] mChat

Post by DougE »

sakm wrote:you will need to go through and delete all modules for every mod you have had installed only then will extensions start to work again
Already been done. The only modules I have are the ones that are supposed to be there. Other extensions work fine. it's only mchat that won't.
micheloupatrick
Registered User
Posts: 2
Joined: Mon Nov 21, 2016 10:16 am

Re: [RC] mChat

Post by micheloupatrick »

Hello,
Is there a french translation for mChat 2 ?
DougE
Registered User
Posts: 47
Joined: Tue Jul 12, 2011 5:38 pm
Location: Richmond,Ky
Contact:

Re: [RC] mChat

Post by DougE »

Tarantino wrote:I got the same issue, spend a lot of hours for nothing. But then I decided to talk to a specialist to solve me this.
And now its all great again. But yeah what he did was to delete all things remained on database from 3.0 that will cause problems. And migrate all possible mods to extension. Like my user points. :D

Best regards
Quite frustrating, to say the least. :(
Tarantino
Registered User
Posts: 796
Joined: Sat Feb 18, 2012 1:51 pm
Contact:

Re: [RC] mChat

Post by Tarantino »

For what I read here, when migrating to 3.1 you should use first the STK toolkit and clean the database for all things that doesnt belong to the default. Then you can migrate, install all extensions and if you want to have all the message or things from old mods database, you need to then use a backup of database and migrate the information via SQL from one table to another.
User avatar
kasimi
Extension Customisations
Extension Customisations
Posts: 4354
Joined: Sat Sep 10, 2011 7:12 pm
Location: Germany
Contact:

Re: [RC] mChat

Post by kasimi »

DougE wrote:I get the following message
The message clearly says that the modules with the following IDs need to be deleted from the phpbb_modules table: 240. This is what prevents mChat from being installed. Use phpMyAdmin to delete the module and then mChat will install just fine. The phpbb_mods table is not the problem.

By the way, this is what's in the update guidelines:
Upgrading from 3.0 to 3.1 wrote:phpBB 3.1 is not compatible with 3.0 and most of the previous files will need to be removed prior to upgrading to 3.1.
I guess it should also say that any database changes need to be reverted prior upgrading as well.

If you get an error about a missing module, read here: https://github.com/kasimi/mChat/issues/4
DougE
Registered User
Posts: 47
Joined: Tue Jul 12, 2011 5:38 pm
Location: Richmond,Ky
Contact:

Re: [RC] mChat

Post by DougE »

kasimi wrote:
DougE wrote:I get the following message
The message clearly says that the modules with the following IDs need to be deleted from the phpbb_modules table: 240. This is what prevents mChat from being installed. Use phpMyAdmin to delete the module and then mChat will install just fine. The phpbb_mods table is not the problem.

By the way, this is what's in the update guidelines:
Upgrading from 3.0 to 3.1 wrote:phpBB 3.1 is not compatible with 3.0 and most of the previous files will need to be removed prior to upgrading to 3.1.
I guess it should also say that any database changes need to be reverted prior upgrading as well.

If you get an error about a missing module, read here: https://github.com/kasimi/mChat/issues/4
If I delete the module with phpmyadmin, the extension still errors and creates another module with a new number and says I need to delete it. I've been trying since last night and it just keeps going through the same error sequence when I try to enable it. The extension creates a module during the error and then tells me to delete it when I try enable again.
User avatar
3Di
Former Team Member
Posts: 15867
Joined: Mon Apr 04, 2005 11:09 pm
Location: Milan (IT) Frankfurt (DE)
Name: Marco
Contact:

Re: [RC] mChat

Post by 3Di »

^^
Your upgrade went wrong, has been wrongly did at least. IMO.

The cause for that module being recreated is because you have some_info file that belongs to old MODs into your board's file system. I am quite sure.
Please PM me only to request paid works. Thx.
Want to compensate me for my interest? Donate
My development's activity º PhpStorm's proud user
Extensions, Scripts, MOD porting, Update/Upgrades
Looking for a specific feature or alternative option? We will rock you! 🚀
DougE
Registered User
Posts: 47
Joined: Tue Jul 12, 2011 5:38 pm
Location: Richmond,Ky
Contact:

Re: [RC] mChat

Post by DougE »

3Di wrote:^^
Your upgrade went wrong, has been wrongly did at least. IMO.

The cause for that module being recreated is because you have some_info file that belongs to old MODs into your board's file system. I am quite sure.
I deleted everything but directories it says to keep and the config file
DougE
Registered User
Posts: 47
Joined: Tue Jul 12, 2011 5:38 pm
Location: Richmond,Ky
Contact:

Re: [RC] mChat

Post by DougE »

Information
The installation as been aborted.
There are remnant modules from the mChat MOD for phpBB 3.0.x in the database. The mChat extension does not work correctly with these modules present.
You need to entirely uninstall the mChat MOD before being able to install the mChat extension. Specifically, the modules with the following IDs need to be deleted from the phpbb_modules table: 242


See, it keeps making a new one
User avatar
3Di
Former Team Member
Posts: 15867
Joined: Mon Apr 04, 2005 11:09 pm
Location: Milan (IT) Frankfurt (DE)
Name: Marco
Contact:

Re: [RC] mChat

Post by 3Di »

Try this Tool of mine, is for phpBB 3.1.10

http://3di.space/32/viewtopic.php?f=3&t=7
Please PM me only to request paid works. Thx.
Want to compensate me for my interest? Donate
My development's activity º PhpStorm's proud user
Extensions, Scripts, MOD porting, Update/Upgrades
Looking for a specific feature or alternative option? We will rock you! 🚀
sakm
Registered User
Posts: 616
Joined: Sun Jan 21, 2007 8:14 pm
Location: Hull, uk
Name: Stu
Contact:

Re: [RC] mChat

Post by sakm »

DougE wrote:Information
The installation as been aborted.
There are remnant modules from the mChat MOD for phpBB 3.0.x in the database. The mChat extension does not work correctly with these modules present.
You need to entirely uninstall the mChat MOD before being able to install the mChat extension. Specifically, the modules with the following IDs need to be deleted from the phpbb_modules table: 242


See, it keeps making a new one

have you been through all Administration Control Panel User Control Panel and Moderator Control Panel under module management?

you need to remove every trace of all mods
DougE
Registered User
Posts: 47
Joined: Tue Jul 12, 2011 5:38 pm
Location: Richmond,Ky
Contact:

Re: [RC] mChat

Post by DougE »

sakm wrote:
DougE wrote:Information
The installation as been aborted.
There are remnant modules from the mChat MOD for phpBB 3.0.x in the database. The mChat extension does not work correctly with these modules present.
You need to entirely uninstall the mChat MOD before being able to install the mChat extension. Specifically, the modules with the following IDs need to be deleted from the phpbb_modules table: 242


See, it keeps making a new one

have you been through all Administration Control Panel User Control Panel and Moderator Control Panel under module management?

you need to remove every trace of all mods
been through all of them. the only things there are the stock modules.
User avatar
3Di
Former Team Member
Posts: 15867
Joined: Mon Apr 04, 2005 11:09 pm
Location: Milan (IT) Frankfurt (DE)
Name: Marco
Contact:

Re: [RC] mChat

Post by 3Di »

Again, try this to remove automod/MODs modules and perms from phpBB 3.1.10
http://3di.space/32/viewtopic.php?f=3&t=7
Please PM me only to request paid works. Thx.
Want to compensate me for my interest? Donate
My development's activity º PhpStorm's proud user
Extensions, Scripts, MOD porting, Update/Upgrades
Looking for a specific feature or alternative option? We will rock you! 🚀
Locked

Return to “Extensions in Development”